genphy_config_advert
Prev | PHY Support | Next

## Name

genphy_config_advert — sanitize and advertise auto-negotation parameters

## Synopsis

`int genphy_config_advert (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  target phy_device struct

## Description

Writes MII_ADVERTISE with the appropriate values, after sanitizing the values to make sure we only advertise what is supported.

Prev | Up | Next
phy_detach | Home | genphy_config_aneg